# Obtain Domain Records - DescribeUDNSRecord

## Overview

Obtain Domain Records






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeUDNSRecord`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.nubexcloud.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **DNSZoneId** | string | Domain Resource ID |**Yes**|
| **RecordIds.N** | string | Domain Record Resource ID |No|
| **Limit** | int | Data pagination value, default is 20 |No|
| **Offset** | int | Data offset, default is 0 |No|
| **Query** | string | Fuzzy Query field |No|
| **SortKey** | string | Sort field, only supports host update_time |No|
| **SortDir** | string | Sorting method, supports asc desc |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **TotalCount** | int | Resource Quantity |**Yes**|
| **RecordInfos** | array[[*RecordInfo*](#recordinfo)] | Domain Record Details |No|

#### Data Model


#### RecordInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RecordId** | string | Domain Record Resource ID |**Yes**|
| **Name** | string | Host Record |**Yes**|
| **Type** | string | Record Type |**Yes**|
| **ValueSet** | array[[*ValueSet*](#valueset)] | Numeric Group |**Yes**|
| **ValueType** | string | Recording strategy, standard or random response |**Yes**|
| **TTL** | int | TTL value, in seconds |**Yes**|
| **Remark** | string | Record remark information |**Yes**|

#### ValueSet

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Data** | string | Host Record |**Yes**|
| **Weight** | int | Weight |**Yes**|
| **IsEnabled** | int | Enable? |**Yes**|

## Example

### Request Example
    
```
https://api.nubexcloud.com/?Action=DescribeUDNSRecord
&Region=cn-zj
&ProjectId=torSzOaN
&DNSZoneId=fiKbocKl
&RecordIds.n=uOTGqytm
&Limit=4
&Offset=2
&Query=EfESmWxu
&SortKey=cDsGuJpe
&SortDir=bQEtRYsz
```

### Response Example
    
```json
{
  "Action": "DescribeUDNSRecordResponse",
  "RecordInfos": [
    {
      "Name": "TYnDJcuL",
      "RecordId": "PguQqgHJ",
      "Remark": "lfvTkeVr",
      "TTL": 2,
      "Type": "UntNZFYV",
      "ValueSet": [
        {
          "Data": "brLlcbYu",
          "IsEnabled": 4,
          "Weight": 7
        }
      ],
      "ValueType": "OcQtDdXd"
    }
  ],
  "RetCode": 0,
  "TotalCount": 3
}
```





